Main Page Modules Class Hierarchy Compound List File List Compound Members

# cDoubleHistogram Class Reference

`#include <chist.h>`

Inheritance diagram for cDoubleHistogram::

List of all members.

## Public Methods

Constructors, destructor, assignment.
| cDoubleHistogram (const cDoubleHistogram &r)
| cDoubleHistogram (const char *name=NULL, int numcells=10)
virtual | ~cDoubleHistogram ()
cDoubleHistogram& | operator= (const cDoubleHistogram &)
Redefined cObject member functions.
virtual cObject* | dup () const
virtual int | netPack ()
virtual int | netUnpack ()
Redefined member functions from cStatistic and its subclasses.
virtual double | random () const

## Detailed Description

Equidistant histogram for doubles. cDoubleHistogram is derived from cEqdHistogramBase which contains most of the functionality.

## Constructor & Destructor Documentation

cDoubleHistogram::cDoubleHistogram ( | const cDoubleHistogram & r )`[inline]`

| Copy constructor

cDoubleHistogram::cDoubleHistogram ( | const char * name = NULL,
| int numcells = 10 )`[explicit]`

| Constructor.

cDoubleHistogram::~cDoubleHistogram ( | )`[virtual]`

| Destructor.

## Member Function Documentation

cObject * cDoubleHistogram::dup ( | ) const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cStdDev.

int cDoubleHistogram::netPack ( | )`[virtual]`

| Serializes the object into a PVM or MPI send buffer. Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cEqdHistogramBase.

int cDoubleHistogram::netUnpack ( | )`[virtual]`

| Deserializes the object from a PVM or MPI receive buffer Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cEqdHistogramBase.

cDoubleHistogram & cDoubleHistogram::operator= ( | const cDoubleHistogram & )`[inline]`

| Assignment is not supported by this class: this method throws a cException when called.

double cDoubleHistogram::random ( | ) const`[virtual]`

| Returns a random number based on the distribution collected. If no values have been collected, it returns 0; when in initial collection phase, it returns one of the stored observations; after the histogram has been set up, a random integer is returned. Reimplemented from cDensityEstBase.

The documentation for this class was generated from the following file:

- chist.h